<?php
namespace Controllers;
// Контроллер для клиетов
class Partners extends Controller {

	public function __construct() {
		parent::__construct();
		$this->model=new \Models\Partners($this->db, $this->f3);
	}

	// Страница поиска клиента
	function search() {
		$this->f3->set('page_data', $this->model->page_data('search'));
	}

	// Результат поиска
	function search_result() {
		$q=$this->model->validate_q($this->f3->get('GET.q'));
		$page=$this->f3->get('GET.page');
		if(!$page) $page=1;
		$limit=$this->f3->get('lines_of_page');
		$option=array(
			'offset'=>($page-1)*$limit,
			'limit'=>$limit,
			'order'=>$q['order']
		);

		$partners=$this->model->select_partner(array($q['sql'], $q['val']), $option);
		if(empty($partners)) {
			$this->f3->set('page_data', $this->messages->message('not_found'));
		}
		elseif(count($partners)==1) {
			$this->f3->reroute('/receipts/add_partner?card='.$partners[0]['card']);
		}
		else {
			$this->model->reset();
			$count=$this->model->count(array($q['sql'], $q['val']));
			$this->f3->set('pagination', $this->pagination($count, $page));
			$this->f3->set('partners', $partners);
			$this->f3->set('page_data', $this->model->page_data('search_result'));
		}
	}
}
